Candidate Committee
System Requirements

The following system requirements are recommended for successfully using MERTS:

  • Windows 7, Windows 8, and Windows 10
  • Internet connection
  • Internet Explorer 11 browser or higher
  • Windows Media Player 9.0 or higher for Training videos
  • Any standard e-mail program (HTML enabled)

Note: MERTS software is NOT supported on Apple/Mac computers.



Page last modified on March 29, 2016, at 10:23 AM